/* RESET */
* {
  margin: 0;
  box-sizing: border-box;
}

/* VARIABLES */
:root {
  /* COLORS // Red Simple Red Orange Juice Instagram Post */
  --BGCOLOR: #fbfae5;            /* crema claro */
  --COLOR: #5d3b32;              /* marrón */
  --SECTION-BGCOLOR: #e7c8a4;    /* crema oscuro */
  --HIGHLIGHT-COLOR: #b17168;    /* marrón claro */
  --DELIM-COLOR: #98281d;         /* rojizo */
  /*peach #f2efe8;*/
}

/* 
Colors: 
  papayawhip
*/

/* Generic to the whole page */
html {
  font-family: Verdana;
  font-size: small;
  background-color: var(--BGCOLOR);
  color: var(--COLOR);
}

.header__title {
  text-align: center;
  padding-bottom: 1rem;
  border-bottom: 1px solid var(--DELIM-COLOR);
}

.header__nav {
  text-align: center;
}

body  {
  min-height: 100vh;
  line-height: 1.5;
}

footer {
  text-align: center;
  font-size: 0.75rem;

  background-color: var(--SECTION-BGCOLOR);
  border-top: 1px solid var(--DELIM-COLOR);
  border-bottom: 1px solid var(--DELIM-COLOR);
  width: 100%;
  padding: 1em 0em;

  margin-bottom: auto;
  bottom: 0;
}


/* BLOCK CONTAINERS */
.container {
  border: solid var(--DELIM-COLOR);
  margin: 0.5rem;
  padding: 1rem;
}

.container__header {
  margin-bottom: 0.5rem;
}

.container__image {
  width: 100%;
  height: 100%;
  object-fit: cover;
}


.main_dashboard {
  max-width: 120ch;
  margin: auto;
  display: grid;
  gap: 1rem;

  grid-template-columns: 20rem 2fr 2fr;
  grid-template-rows: 2fr auto 20rem;

  grid-template-areas: 
    "todo presentation presentation"
    "notes text text"
    "notes draw music"
}

@media (max-width: 768px) {
    .dashboard {
        grid-template-columns: 1fr;

        grid-template-areas:
            "todo"
            "presentation"
            "text"
            "draw"
            "music"
            "notes";
    }
}

.container__todolist {
  grid-area: todo;
}

.container__texto {
  text-indent: 2em;
  text-align: justify;
}

.container__notes {
  grid-area: notes;
}
.container__presentation {
  grid-area: presentation;
}

.container__last_text {
  grid-area: text;
}

.container__last_draw {
  max-height: 20rem;
  grid-area: draw;
}
.container__last_music {
  grid-area: music;
}

/* Links section */
a {
  color: var(--DELIM-COLOR);
}
a:visited {
  color: var(--DELIM-COLOR);
}

a:hover {
  color: var(--HIGHLIGHT-COLOR);
}

/* Other text section */

.todolist {
  list-style: none; /* Elimina las viñetas por defecto */
  padding-left: 1rem;
}

/* Images section */
.icon_credits {
  width: 20px;
  padding-right: 1em;
}

.img_main {
  max-width: 100%;
  margin: 1rem auto;
  padding: 2rem;
}